org.cybergarage.xml

## Class Parser

- java.lang.Object
- - org.cybergarage.xml.Parser

- Direct Known Subclasses:
    JaxpParser

      public abstract class Parser
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `parse(File descriptionFile)`
    `abstract Node` | `parse(InputStream inStream)`
    `Node` | `parse(String descr)`
    `Node` | `parse(URL locationURL)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Parser

          public Parser()

  - ### Method Detail

    - #### parse

          public abstract Node parse(InputStream inStream)
                              throws ParserException

      Throws:
        `ParserException`

    - #### parse

          public Node parse(URL locationURL)
                     throws ParserException

      Throws:
        `ParserException`

    - #### parse

          public Node parse(File descriptionFile)
                     throws ParserException

      Throws:
        `ParserException`

    - #### parse

          public Node parse(String descr)
                     throws ParserException

      Throws:
        `ParserException`